Subject: small bench lathes

From: [email-masked] (Geoffrey Brown)
Date: Mon, 11 Apr 1994 12:38:53 GMT

I am starting to look for a used bench mill.  I would like to hear
about the relative merits of atlas, burke, hardinge, etc.  A 
horizontal mill with vertical attachment would suit my needs well.

Geoffrey Brown